body {
    width: 100%;
    background-image: url('images/RedeemBg.jpg');
    background-size: 100%;
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: 50px;
    background-size: cover;
}

.redeem_code_panel {
    width: 80%;
    min-height: 0px;
    height: 0px;
    padding-bottom: 51.2%;
    margin-top: 10%;
    margin-left: 10%;
    margin-right: 10%;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position-x: center;
    clear: both;
    float: left;
}

#input_redeem_code_panel {
    background-image: url('images/RedeemFrame.png');
}

#confirm_redeem_code_panel {
    background-image: url('images/RedeemFrame2.png');
}

.redeem_code_panel_content {
    height: 70%;
    min-height: 0px;
    margin-top: 17%;
}

.redeem_code_panel_main_info {
    width: 100%;
    height: 0px;
    padding-bottom: 21%;
    min-height: 0px;
    color: #fff;
}

#redeem_infos {
    font-size: 0px;
}

.redeem_info {
    width: 70%;
    margin-left: 15%;
    margin-right: 15%;
    margin-bottom: 0.0%;
    font-size: 3.5vw;
    text-align: center;
}

.redeem_code_panel_input_group {
    font-size: 2vw;
}

.redeem_code_panel_input_field_container {
    width: 57%;
    height: 0px;
    padding-bottom: 6.3%;
    margin-top: 0px;
    margin-left: 33%;
    margin-bottom: 8%;
    float: left;
    clear: both;
}

.redeem_code_panel_input_field {
    font-size: 2.5vw;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: gray;
    color: #fff;
}

.invalid_feedback {
    width: 100%;
    height: 0px;
    padding-bottom: 5%;
    margin-top: 13%;
    font-size: 2vw;
    clear: both;
    position: absolute;
}

.msg {
    text-align: center;
    color: red;
    width: 100%;
    height: 0px;
    padding-bottom: 5%;
    margin-top: 3%;
    font-size: 3vw;
    clear: both;
    position: absolute;
}

.btn_panel {
    margin-top: 8%;
    width: 100%;
    clear: both;
    display: flex;
    justify-content: center;
}

.confirm_btn {
    width: 30%;
    height: 0px;
    padding-bottom: 15%;
    border: 0px;
    margin-left: 5%;
    margin-right: 5%;
    background-color: rgba(0, 0, 0, 0);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position-x: center;
}

#input_confirm_btn {
    background-image: url('images/Btn_Confirm.png');
}

#back_btn {
    background-image: url('images/Btn_Back.png');
}

#redeem_confirm_btn {
    background-image: url('images/Btn_Redeem.png');
}

#find_player_id_title
{
    width: 88%;
    padding-top: 30px;
    margin: 0 auto; 
    display: flex;
    justify-content: center;
    clear: both;
}

#find_player_id_content
{
    padding-top: 30px;
    width: 100%;
    margin: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.find_player_id_step {
    width: 90%;
    max-width: 600px;
}

.hidden-content {
    display: none;
}